
QGIS Application - Bug report #15104

DB Manager: load only sample of attribute table records

2016-06-22 12:48 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23046

Description

As for geometries the attribute table view in DB manager is only useful as a preview (the user cannot really do anything with the records

and its content) so why loading thousand, tens of thousands, million of records? It potentially takes ages, just for a preview.

better loading just a sample (a few hundreds?).

Related issues:

Duplicated by QGIS Application - Bug report # 17344: Opening the "table" tab ... Closed 2017-10-27

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-10-28 01:40 PM - Jürgen Fischer

- Duplicated by Bug report #17344: Opening the "table" tab in DB Manager cannot be canceled added

#3 - 2019-03-09 04:23 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
